%define modname archive
%define soname %{modname}.so
%define inifile A70_%{modname}.ini

Summary:	Archive extension
Name:		php-%{modname}
Version:	0.2
Release:	%mkrel 18
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/archive
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	libarchive-devel
BuildRequires:	file

%description
archive extension allows to read and write tar and cpio archives using
libarchive (http://people.freebsd.org/~kientzle/libarchive/).

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}/var/log/httpd

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Sun Feb 06 2011 spuhler <spuhler> 0.2-18.mga1
+ Revision: 47678
- removed buildroot definition from .spec
- imported package php-archive


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.2-18mdv2011.0
+ Revision: 629763
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.2-17mdv2011.0
+ Revision: 628063
- ensure it's built without automake1.7

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2-16mdv2011.0
+ Revision: 600459
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2-15mdv2011.0
+ Revision: 588741
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2-14mdv2010.1
+ Revision: 514515
- rebuilt for php-5.3.2

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2-13mdv2010.1
+ Revision: 485336
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2-12mdv2010.1
+ Revision: 468141
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2-11mdv2010.0
+ Revision: 451250
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 0.2-10mdv2010.0
+ Revision: 397262
- Rebuild

* Mon May 18 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2-9mdv2010.0
+ Revision: 376970
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2-8mdv2009.1
+ Revision: 346392
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2-7mdv2009.1
+ Revision: 341705
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-6mdv2009.1
+ Revision: 321701
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-5mdv2009.1
+ Revision: 310246
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-4mdv2009.0
+ Revision: 238375
- rebuild

* Fri May 02 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-3mdv2009.0
+ Revision: 200185
- rebuilt for php-5.2.6

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2-2mdv2008.1
+ Revision: 162147
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdv2008.1
+ Revision: 107603
- restart apache if needed

* Sun Oct 28 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2-0mdv2008.1
+ Revision: 102753
- import php-archive


* Sun Oct 28 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.0-1mdv2008.1
- initial Mandriva package
